Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Create object journal entry

POST/objects/{id}/journal
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Query parameters
fieldsToReturnstring

Comma-separated list of top-level response fields to return. Overrides the endpoint compact default unless responseShape=full is used.

responseShapestring

Advanced override. Omit for the endpoint compact default. Use full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.

Allowed:compactfull
Header parameters
LT-Response-Shapestring

Advanced override. Set to full only when you need the complete endpoint response, including nested fields that are not selectable with fieldsToReturn.

Allowed:full
Request body
requiredapplication/json
bodystringrequired

Journal entry body (HTML or Markdown). Converted to internal format for storage.

moodstring
Allowed:SadNeutralHappy
reminderstring
Responses
200
bodystringrequired

Body as HTML

createdAtstringrequired
createdBystringrequired
idstringrequired
lastUpdatedstringrequired
moodstringrequired
Allowed:SadNeutralHappy
objectIdstringrequired
reminderobject | nullrequired
401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST "https://leadtime.app/api/public/objects/string/journal" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "body": "<h1>Update</h1><p>Notes</p>",
  "mood": "Sad",
  "reminder": "2024-12-31"
}'
Response
{
  "body": "string",
  "createdAt": "string",
  "createdBy": "string",
  "id": "string",
  "lastUpdated": "string",
  "mood": "Sad",
  "objectId": "string",
  "reminder": {}
}